<h2>My Books</h2>

// to add a new book
<div>
  <label>Book title:
    <input #bookTitle />
  </label>
  <label>Book author:
    <input #bookAuthor />
  </label>
  <label>Book serie:
    <input #bookSerie />
  </label>
  <!-- (click) passes input value to add() and then clears the input -->
  <button (click)="add(bookTitle.value, bookAuthor.value, bookSerie.value); bookTitle.value=''">
    add
  </button>
</div>

// to display the available books
<ul class="books">
  <li *ngFor="let book of books">
    <a routerLink="/details/{{book.id}}">
    <span class="badge">{{book.id}}</span> {{book.title}} {{book.author}} {{book.series}}
    </a>
    <button class="delete" title="delete book" (click)="delete(book)">x</button>
  </li>
</ul>

<button (click)="goBack()">go back</button>



